Bug 961848 - RFE: add support for filtering out agent file transfer messages
Summary: RFE: add support for filtering out agent file transfer messages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-server
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Uri Lublin
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 952671
Blocks: 961850
TreeView+ depends on / blocked
 
Reported: 2013-05-10 14:43 UTC by Hans de Goede
Modified: 2013-11-21 07:41 UTC (History)
8 users (show)

Fixed In Version: spice-server-0.12.4-1.el6
Doc Type: Enhancement
Doc Text:
Feature: Allow disabling agent based file transfer; Reason: Spice now supports copying files from client into guest using spice-vdagent (aka file transfer). By default this feature is enabled. Users may want to disable it. Result (if any): A new disable-agent-file-transfer option for qemu's -spice argument. Spice file-transfer messages are dropped when qemu-kvm (and spice) are given this option.
Clone Of:
Environment:
Last Closed: 2013-11-21 07:41:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1571 normal SHIPPED_LIVE spice-server bug fix and enhancement update 2013-11-20 21:39:57 UTC

Description Hans de Goede 2013-05-10 14:43:48 UTC
Allow disabling agent based file transfer, just like we allow disabling copy-paste. IOW, add the necessary API to spice-server to implement a new disable-agent-file-transfer option for qemu's -spice argument, so that qemu can be invoked as:
qemu -spice port=5900,disable-agent-file-transfer

And that the agent channel will then filter out file transfer messages.

Comment 2 Hans de Goede 2013-06-06 15:19:43 UTC
Patch posted upstream: http://lists.freedesktop.org/archives/spice-devel/2013-June/013621.html

Comment 5 Hans de Goede 2013-06-24 07:41:58 UTC
This is fixed by this upstream commit: http://cgit.freedesktop.org/spice/spice/commit/?id=db278430f8994fe774beb50397cc935de5f1755f

Re-assigning to Uri for adding this commit to the next spice-server build.

Comment 10 errata-xmlrpc 2013-11-21 07:41:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1571.html


Note You need to log in before you can comment on or make changes to this bug.